eclipseでProguardのエラー

eclipseでAndoridのapkを作成するとき、難読化のためにProguardを使用しますがエラーが発生して困ったのでメモ。
原因はAndroid SDKがProgram Files下にインストールされるため、パスに空白が入ってしまってエラーになる模様。

対策としては、

  • SDKを別の場所にインストールする。
  • eclipseのAndroid SDKのフォルダのパス設定で、8.3方式の古いパス形式で指定する。

のどちらかで。

Tags: , ,

関連トピックス

Leave a Reply